Skip to content

Service

All operations require authentication.

14 operationsv1/xdsl/{serviceName}
Agent setup

Change the contacts of an xDSL accessProduction

POST
/1.0/xdsl/{serviceName}/changeContact

Starts a procedure to change the admin, tech or billing contact of the access. Returns the IDs of the contact change tasks.

Path parameters

serviceName
required
string

Service name

Request body (required)

contactAdmin
string

The contact to set as admin contact

contactBilling
string

The contact to set as billing contact

contactTech
string

The contact to set as tech contact

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/changeContact \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Enable or disable email sending on an xDSL accessProduction

POST
/1.0/xdsl/{serviceName}/mailSending

Allows or blocks outgoing email (SMTP) from the access. Returns the task that performs the change.

Path parameters

serviceName
required
string

Service name

Request body (required)

status
required
mailSendingStatusEnum

Status allowed for mail sending

Valuesdisabledenabled

Response

200Tasksuccessful operation
doneDate
read-only
stringdate-time

Date when the action was completed

function
read-only
string
—
id
read-only
integer
—
isArchived
read-only
boolean
—
status
read-only
TaskStatusEnum

Status of a task.

Valuescancelleddoingdoneerrorproblemtodo
todoDate
read-only
stringdate-time

Date when the action will start

updateDate
read-only
stringdate-time
—

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/mailSending \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "isArchived": true, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "updateDate": "2024-01-01T12:00:00Z"}

List the monitoring notifications of an xDSL accessProduction

GET
/1.0/xdsl/{serviceName}/monitoringNotifications

Returns the IDs of the email and SMS alerts set on the access.

Path parameters

serviceName
required
string

Service name

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/monitoringNotifications \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Create a monitoring notification on an xDSL accessProduction

POST
/1.0/xdsl/{serviceName}/monitoringNotifications

Adds an email or SMS alert sent when the access is down longer than the threshold, at a frequency of once, 5 minutes, 1 hour or 6 hours. An SMS alert is debited from the given SMS account.

Path parameters

serviceName
required
string

Service name

Request body (required)

allowIncident
boolean

Whether or not to allow notifications concerning generic incidents

downThreshold
integer

The number of seconds the access has to be down to trigger the alert

email
string

The e-mail address, if type is mail

frequency
required
FrequencyEnum

Frequency between notifications.

Values1h5m6honce
phone
string

The phone number, if type is sms

smsAccount
string

The SMS account which will be debited for each sent SMS, if the type is sms

type
required
TypeEnum

Type of notification.

Valuesmailsms

Response

200MonitoringNotificationsuccessful operation
allowIncident
boolean

Whether or not to allow notifications for generic incidents

downThreshold
integer

The number of seconds the access has to be down to trigger an alert

email
string

The e-mail address, if type is mail

enabled
boolean

Whether to enable or not

frequency
FrequencyEnum

Frequency between notifications.

Values1h5m6honce
id
read-only
integer
—
phone
string

The phone number, if type is sms

smsAccount
read-only
string

The SMS account which will be debited for each sent SMS, if the type is sms

type
read-only
TypeEnum

Type of notification.

Valuesmailsms

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/monitoringNotifications \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "allowIncident": true, "downThreshold": 0, "email": "string", "enabled": true, "frequency": "1h", "id": 0, "phone": "string", "smsAccount": "string", "type": "mail"}

Get a monitoring notification of an xDSL accessProduction

GET
/1.0/xdsl/{serviceName}/monitoringNotifications/{id}

Returns the type, recipient, down threshold, frequency and status of an alert, and whether it includes generic incidents.

Path parameters

id
required
integer

Id

serviceName
required
string

Service name

Response

200MonitoringNotificationsuccessful operation
allowIncident
boolean

Whether or not to allow notifications for generic incidents

downThreshold
integer

The number of seconds the access has to be down to trigger an alert

email
string

The e-mail address, if type is mail

enabled
boolean

Whether to enable or not

frequency
FrequencyEnum

Frequency between notifications.

Values1h5m6honce
id
read-only
integer
—
phone
string

The phone number, if type is sms

smsAccount
read-only
string

The SMS account which will be debited for each sent SMS, if the type is sms

type
read-only
TypeEnum

Type of notification.

Valuesmailsms

Example uses id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/monitoringNotifications/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "allowIncident": true, "downThreshold": 0, "email": "string", "enabled": true, "frequency": "1h", "id": 0, "phone": "string", "smsAccount": "string", "type": "mail"}

Update a monitoring notification of an xDSL accessProduction

PUT
/1.0/xdsl/{serviceName}/monitoringNotifications/{id}

Enables or disables an alert, or changes its down threshold, frequency, email, phone number or generic incident setting.

Path parameters

id
required
integer

Id

serviceName
required
string

Service name

Request body (required)

allowIncident
boolean

Whether or not to allow notifications for generic incidents

downThreshold
integer

The number of seconds the access has to be down to trigger an alert

email
string

The e-mail address, if type is mail

enabled
boolean

Whether to enable or not

frequency
FrequencyEnum

Frequency between notifications.

Values1h5m6honce
id
read-only
integer
—
phone
string

The phone number, if type is sms

smsAccount
read-only
string

The SMS account which will be debited for each sent SMS, if the type is sms

type
read-only
TypeEnum

Type of notification.

Valuesmailsms

Response

200—successful operation

Example uses id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/monitoringNotifications/{id} \
  -H "authorization: Bearer $OVH_TOKEN"

Delete a monitoring notification of an xDSL accessProduction

DELETE
/1.0/xdsl/{serviceName}/monitoringNotifications/{id}

Deletes the alert. No notification is sent for it anymore.

Path parameters

id
required
integer

Id

serviceName
required
string

Service name

Response

200—successful operation

Example uses id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/monitoringNotifications/{id} \
  -H "authorization: Bearer $OVH_TOKEN"

Get the pending action of an xDSL accessProduction

GET
/1.0/xdsl/{serviceName}/pendingAction

Returns the action scheduled on the access, if any, and the date it will be performed.

Path parameters

serviceName
required
string

Service name

Response

200PendingActionsuccessful operation
action
read-only
string
—
dateTodo
read-only
stringdate-time
—

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/pendingAction \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "string", "dateTodo": "2024-01-01T12:00:00Z"}

Send the PPP login informationProduction

POST
/1.0/xdsl/{serviceName}/requestPPPLoginMail

Renews the PPP password of the access and sends the PPP login information to the email address of the admin contact.

Path parameters

serviceName
required
string

Service name

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/requestPPPLoginMail \
  -H "authorization: Bearer $OVH_TOKEN"

Get service informationProduction

GET
/1.0/xdsl/{serviceName}/serviceInfos

Returns the service status, creation and expiration dates, renewal settings, engagement and contacts of the access.

Path parameters

serviceName
required
string

Service name

Response

200Servicesuccessful operation
canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum

service.StateEnum

ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}

Update service informationProduction

PUT
/1.0/xdsl/{serviceName}/serviceInfos

Changes the renewal settings of the access: automatic renewal, renewal period and deletion at expiration.

Path parameters

serviceName
required
string

Service name

Request body (required)

canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum

service.StateEnum

ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"

List the tasks of an xDSL accessProduction

GET
/1.0/xdsl/{serviceName}/tasks

Returns the IDs of the tasks scheduled on the access. Filter by function or status, and include archived tasks; 20 results by default, 50 at most.

Path parameters

serviceName
required
string

Service name

Query parameters

function
string

Filter the value of function property (=)

includeArchived
boolean

Include archived tasks

limit
integer

Limit query result, default 20, max 50

status
TaskStatusEnum

Filter the value of status property (=)

Valuescancelleddoingdoneerrorproblemtodo

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/tasks \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a task of an xDSL accessProduction

GET
/1.0/xdsl/{serviceName}/tasks/{id}

Returns the function, status, archive flag and the planned, completion and last update dates of a task.

Path parameters

id
required
integer

Id

serviceName
required
string

Service name

Response

200Tasksuccessful operation
doneDate
read-only
stringdate-time

Date when the action was completed

function
read-only
string
—
id
read-only
integer
—
isArchived
read-only
boolean
—
status
read-only
TaskStatusEnum

Status of a task.

Valuescancelleddoingdoneerrorproblemtodo
todoDate
read-only
stringdate-time

Date when the action will start

updateDate
read-only
stringdate-time
—

Example uses id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/tasks/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "isArchived": true, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "updateDate": "2024-01-01T12:00:00Z"}

Archive a task in problem stateProduction

POST
/1.0/xdsl/{serviceName}/tasks/{id}/archive

Removes the task in problem state from the task results. Archived tasks are listed again with includeArchived.

Path parameters

id
required
integer

Id

serviceName
required
string

Service name

Response

200—successful operation

Example uses id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/tasks/{id}/archive \
  -H "authorization: Bearer $OVH_TOKEN"